> ## Documentation Index
> Fetch the complete documentation index at: https://doc.extole.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a component bundle

> Uploads a new component bundle archive, creating a new component and its sub-resources from the bundled definition.



## OpenAPI

````yaml /api-reference/management.json post /v1/components
openapi: 3.0.1
info:
  description: >-
    Configuration endpoints for the Extole platform: campaigns, components,
    audiences, persons, rewards, reporting, integrations setup, and
    administrative tooling.
  title: Management API
  version: '1.0'
servers:
  - description: Production
    url: https://api.extole.io
security:
  - HEADER: []
  - QUERY: []
  - COOKIE: []
tags:
  - name: Audiences
  - name: Authentication
  - name: Batch Jobs
  - name: Blocks
  - name: Campaigns
  - name: Components
  - name: Components Settings
  - name: Domains
  - name: Email
  - name: Erasure
  - name: Event Streams
  - name: File Validation Monitors
  - name: Optout
  - name: Profiles
  - name: Promotion Links
  - name: Report Schedules
  - name: Report Types
  - name: Reports
  - name: Reward Suppliers
  - name: Security Keys
  - name: Settings
  - name: User Notifications
  - name: User Subscriptions
  - name: Users
  - name: Webhooks
paths:
  /v1/components:
    post:
      tags:
        - Components
      summary: Upload a component bundle
      description: >-
        Uploads a new component bundle archive, creating a new component and its
        sub-resources from the bundled definition.
      operationId: uploadComponentBundle
      requestBody:
        content:
          multipart/form-data:
            example:
              file:
                creationDate: '2025-10-24T09:00:00.000Z'
                fileName: fileName
                modificationDate: '2025-10-24T09:00:00.000Z'
                name: name
                parameters:
                  parameters_key: parameters_key
                readDate: '2025-10-24T09:00:00.000Z'
                size: 1
                type: type
            schema:
              properties:
                file:
                  $ref: '#/components/schemas/FormDataContentDisposition'
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ComponentResponse'
          description: Successful response
        '400':
          content:
            application/json:
              examples:
                action_count_invalid:
                  $ref: '#/components/examples/action_count_invalid'
                binding_error:
                  $ref: '#/components/examples/binding_error'
                campaign_build_failed:
                  $ref: '#/components/examples/campaign_build_failed'
                campaign_component_absolute_name_missing:
                  $ref: >-
                    #/components/examples/campaign_component_absolute_name_missing
                campaign_component_description_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_component_description_out_of_range
                campaign_component_display_name_contains_illegal_character:
                  $ref: >-
                    #/components/examples/campaign_component_display_name_contains_illegal_character
                campaign_component_display_name_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_component_display_name_out_of_range
                campaign_component_id_missing:
                  $ref: '#/components/examples/campaign_component_id_missing'
                campaign_component_name_already_in_use:
                  $ref: '#/components/examples/campaign_component_name_already_in_use'
                campaign_component_name_contains_illegal_character:
                  $ref: >-
                    #/components/examples/campaign_component_name_contains_illegal_character
                campaign_component_name_out_of_range:
                  $ref: '#/components/examples/campaign_component_name_out_of_range'
                campaign_component_not_found:
                  $ref: '#/components/examples/campaign_component_not_found'
                campaign_component_type_validation_failed:
                  $ref: >-
                    #/components/examples/campaign_component_type_validation_failed
                campaign_concurrent_update:
                  $ref: '#/components/examples/campaign_concurrent_update'
                campaign_controller_duplicate_controller:
                  $ref: >-
                    #/components/examples/campaign_controller_duplicate_controller
                campaign_controller_invalid_enabled_on_state:
                  $ref: >-
                    #/components/examples/campaign_controller_invalid_enabled_on_state
                campaign_controller_missing_event_trigger:
                  $ref: >-
                    #/components/examples/campaign_controller_missing_event_trigger
                campaign_controller_missing_journey_name:
                  $ref: >-
                    #/components/examples/campaign_controller_missing_journey_name
                campaign_controller_name_contains_illegal_character:
                  $ref: >-
                    #/components/examples/campaign_controller_name_contains_illegal_character
                campaign_controller_name_missing:
                  $ref: '#/components/examples/campaign_controller_name_missing'
                campaign_controller_name_out_of_range:
                  $ref: '#/components/examples/campaign_controller_name_out_of_range'
                campaign_controller_name_same_as_a_default_controller_name:
                  $ref: >-
                    #/components/examples/campaign_controller_name_same_as_a_default_controller_name
                campaign_controller_too_many_journey_names:
                  $ref: >-
                    #/components/examples/campaign_controller_too_many_journey_names
                campaign_flow_step_app_description_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_app_description_length_out_of_range
                campaign_flow_step_app_name_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_app_name_length_out_of_range
                campaign_flow_step_app_name_missing:
                  $ref: '#/components/examples/campaign_flow_step_app_name_missing'
                campaign_flow_step_app_type_missing:
                  $ref: '#/components/examples/campaign_flow_step_app_type_missing'
                campaign_flow_step_app_type_name_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_app_type_name_length_out_of_range
                campaign_flow_step_app_type_name_missing:
                  $ref: >-
                    #/components/examples/campaign_flow_step_app_type_name_missing
                campaign_flow_step_description_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_description_length_out_of_range
                campaign_flow_step_flow_path_invalid:
                  $ref: '#/components/examples/campaign_flow_step_flow_path_invalid'
                campaign_flow_step_flow_path_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_flow_path_length_out_of_range
                campaign_flow_step_flow_path_missing:
                  $ref: '#/components/examples/campaign_flow_step_flow_path_missing'
                campaign_flow_step_icon_color_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_icon_color_length_out_of_range
                campaign_flow_step_icon_type_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_icon_type_length_out_of_range
                campaign_flow_step_icon_type_missing:
                  $ref: '#/components/examples/campaign_flow_step_icon_type_missing'
                campaign_flow_step_metric_description_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_metric_description_length_out_of_range
                campaign_flow_step_metric_duplicate_exists:
                  $ref: >-
                    #/components/examples/campaign_flow_step_metric_duplicate_exists
                campaign_flow_step_metric_expression_invalid:
                  $ref: >-
                    #/components/examples/campaign_flow_step_metric_expression_invalid
                campaign_flow_step_metric_expression_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_metric_expression_length_out_of_range
                campaign_flow_step_metric_expression_missing:
                  $ref: >-
                    #/components/examples/campaign_flow_step_metric_expression_missing
                campaign_flow_step_metric_name_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_metric_name_length_out_of_range
                campaign_flow_step_metric_name_missing:
                  $ref: '#/components/examples/campaign_flow_step_metric_name_missing'
                campaign_flow_step_metric_tags_missing:
                  $ref: '#/components/examples/campaign_flow_step_metric_tags_missing'
                campaign_flow_step_metric_unit_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_metric_unit_length_out_of_range
                campaign_flow_step_metric_unit_missing:
                  $ref: '#/components/examples/campaign_flow_step_metric_unit_missing'
                campaign_flow_step_name_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_name_length_out_of_range
                campaign_flow_step_sequence_invalid:
                  $ref: '#/components/examples/campaign_flow_step_sequence_invalid'
                campaign_flow_step_sequence_missing:
                  $ref: '#/components/examples/campaign_flow_step_sequence_missing'
                campaign_flow_step_step_name_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_step_name_length_out_of_range
                campaign_flow_step_step_name_missing:
                  $ref: '#/components/examples/campaign_flow_step_step_name_missing'
                campaign_flow_step_word_length_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_flow_step_word_length_out_of_range
                campaign_frontend_controller_duplicate_controller:
                  $ref: >-
                    #/components/examples/campaign_frontend_controller_duplicate_controller
                campaign_global_archive:
                  $ref: '#/components/examples/campaign_global_archive'
                campaign_global_rename:
                  $ref: '#/components/examples/campaign_global_rename'
                campaign_global_type_change:
                  $ref: '#/components/examples/campaign_global_type_change'
                campaign_has_pending_changes:
                  $ref: '#/components/examples/campaign_has_pending_changes'
                campaign_invalid_tag:
                  $ref: '#/components/examples/campaign_invalid_tag'
                campaign_locked:
                  $ref: '#/components/examples/campaign_locked'
                campaign_stale_version:
                  $ref: '#/components/examples/campaign_stale_version'
                campaign_tags_too_long:
                  $ref: '#/components/examples/campaign_tags_too_long'
                campaign_version_malformed:
                  $ref: '#/components/examples/campaign_version_malformed'
                circular_component_reference:
                  $ref: '#/components/examples/circular_component_reference'
                component_asset_content_length_out_of_range:
                  $ref: >-
                    #/components/examples/component_asset_content_length_out_of_range
                component_asset_content_missing:
                  $ref: '#/components/examples/component_asset_content_missing'
                component_asset_content_upload_error:
                  $ref: '#/components/examples/component_asset_content_upload_error'
                component_asset_description_length_out_of_range:
                  $ref: >-
                    #/components/examples/component_asset_description_length_out_of_range
                component_asset_filename_contains_illegal_character:
                  $ref: >-
                    #/components/examples/component_asset_filename_contains_illegal_character
                component_asset_filename_length_out_of_range:
                  $ref: >-
                    #/components/examples/component_asset_filename_length_out_of_range
                component_asset_filename_missing:
                  $ref: '#/components/examples/component_asset_filename_missing'
                component_asset_name_contains_illegal_character:
                  $ref: >-
                    #/components/examples/component_asset_name_contains_illegal_character
                component_asset_name_duplicated:
                  $ref: '#/components/examples/component_asset_name_duplicated'
                component_asset_name_length_out_of_range:
                  $ref: >-
                    #/components/examples/component_asset_name_length_out_of_range
                component_asset_name_missing:
                  $ref: '#/components/examples/component_asset_name_missing'
                component_facets_not_found:
                  $ref: '#/components/examples/component_facets_not_found'
                component_id_not_accessible:
                  $ref: '#/components/examples/component_id_not_accessible'
                component_type_not_found:
                  $ref: '#/components/examples/component_type_not_found'
                controller_misconfiguration:
                  $ref: '#/components/examples/controller_misconfiguration'
                controller_name_length_out_of_range:
                  $ref: '#/components/examples/controller_name_length_out_of_range'
                controller_state_misconfiguration:
                  $ref: '#/components/examples/controller_state_misconfiguration'
                creative_archive_size_too_big:
                  $ref: '#/components/examples/creative_archive_size_too_big'
                creative_asset_file_path_invalid:
                  $ref: '#/components/examples/creative_asset_file_path_invalid'
                creative_asset_file_path_too_long:
                  $ref: '#/components/examples/creative_asset_file_path_too_long'
                creative_asset_file_size_too_big:
                  $ref: '#/components/examples/creative_asset_file_size_too_big'
                creative_asset_invalid_character_encoding:
                  $ref: >-
                    #/components/examples/creative_asset_invalid_character_encoding
                creative_has_default_locale_disabled:
                  $ref: '#/components/examples/creative_has_default_locale_disabled'
                creative_has_incompatible_api_version:
                  $ref: '#/components/examples/creative_has_incompatible_api_version'
                creative_has_invalid_api_version:
                  $ref: '#/components/examples/creative_has_invalid_api_version'
                creative_has_invalid_locale:
                  $ref: '#/components/examples/creative_has_invalid_locale'
                creative_has_unknown_classification:
                  $ref: '#/components/examples/creative_has_unknown_classification'
                creative_is_missing_attributes:
                  $ref: '#/components/examples/creative_is_missing_attributes'
                creative_is_missing_renderer:
                  $ref: '#/components/examples/creative_is_missing_renderer'
                creative_mismatch_api_version:
                  $ref: '#/components/examples/creative_mismatch_api_version'
                data_attribute_name_out_of_range:
                  $ref: '#/components/examples/data_attribute_name_out_of_range'
                data_attribute_regexp_invalid:
                  $ref: '#/components/examples/data_attribute_regexp_invalid'
                data_attribute_value_out_of_range:
                  $ref: '#/components/examples/data_attribute_value_out_of_range'
                data_attribute_value_type_required:
                  $ref: '#/components/examples/data_attribute_value_type_required'
                date_invalid:
                  $ref: '#/components/examples/date_invalid'
                default_key_not_allowed:
                  $ref: '#/components/examples/default_key_not_allowed'
                display_name_has_illegal_character:
                  $ref: '#/components/examples/display_name_has_illegal_character'
                download_error:
                  $ref: '#/components/examples/download_error'
                duplicate_step_data_name:
                  $ref: '#/components/examples/duplicate_step_data_name'
                excessive_component_reference:
                  $ref: '#/components/examples/excessive_component_reference'
                expression_invalid_syntax:
                  $ref: '#/components/examples/expression_invalid_syntax'
                expression_invalid_type:
                  $ref: '#/components/examples/expression_invalid_type'
                expression_missing_type:
                  $ref: '#/components/examples/expression_missing_type'
                expression_missing_value:
                  $ref: '#/components/examples/expression_missing_value'
                expression_value_invalid:
                  $ref: '#/components/examples/expression_value_invalid'
                expression_value_invalid_length:
                  $ref: '#/components/examples/expression_value_invalid_length'
                external_element_is_referenced_by_active_configuration:
                  $ref: >-
                    #/components/examples/external_element_is_referenced_by_active_configuration
                external_elements_cannot_have_multiple_references:
                  $ref: >-
                    #/components/examples/external_elements_cannot_have_multiple_references
                identity_key_incompatible_usage:
                  $ref: '#/components/examples/identity_key_incompatible_usage'
                invalid_archive_id:
                  $ref: '#/components/examples/invalid_archive_id'
                invalid_campaign_id:
                  $ref: '#/components/examples/invalid_campaign_id'
                invalid_campaign_state:
                  $ref: '#/components/examples/invalid_campaign_state'
                invalid_campaign_version:
                  $ref: '#/components/examples/invalid_campaign_version'
                invalid_component_bundle:
                  $ref: '#/components/examples/invalid_component_bundle'
                invalid_component_installed_into_socket:
                  $ref: >-
                    #/components/examples/invalid_component_installed_into_socket
                invalid_component_reference:
                  $ref: '#/components/examples/invalid_component_reference'
                invalid_component_reference_socket_name:
                  $ref: >-
                    #/components/examples/invalid_component_reference_socket_name
                invalid_external_component_reference:
                  $ref: '#/components/examples/invalid_external_component_reference'
                invalid_json:
                  $ref: '#/components/examples/invalid_json'
                invalid_parameter:
                  $ref: '#/components/examples/invalid_parameter'
                invalid_program_type:
                  $ref: '#/components/examples/invalid_program_type'
                invalid_step_alias:
                  $ref: '#/components/examples/invalid_step_alias'
                invalid_theme_name:
                  $ref: '#/components/examples/invalid_theme_name'
                invalid_translatable_value:
                  $ref: '#/components/examples/invalid_translatable_value'
                javascript_error:
                  $ref: '#/components/examples/javascript_error'
                lock_missing_lock_types:
                  $ref: '#/components/examples/lock_missing_lock_types'
                min_cart_value_invalid:
                  $ref: '#/components/examples/min_cart_value_invalid'
                missing_component_json:
                  $ref: '#/components/examples/missing_component_json'
                missing_request_body:
                  $ref: '#/components/examples/missing_request_body'
                missing_step_data_name:
                  $ref: '#/components/examples/missing_step_data_name'
                missing_step_data_value:
                  $ref: '#/components/examples/missing_step_data_value'
                multiple_components_installed_into_single_socket:
                  $ref: >-
                    #/components/examples/multiple_components_installed_into_single_socket
                name_contains_illegal_character:
                  $ref: '#/components/examples/name_contains_illegal_character'
                non_translatable_variable_can_not_be_updated:
                  $ref: >-
                    #/components/examples/non_translatable_variable_can_not_be_updated
                not_found_page_forbidden_runtime_expressions:
                  $ref: >-
                    #/components/examples/not_found_page_forbidden_runtime_expressions
                not_found_page_invalid_action:
                  $ref: '#/components/examples/not_found_page_invalid_action'
                orphan_external_component_reference:
                  $ref: '#/components/examples/orphan_external_component_reference'
                program_type_empty:
                  $ref: '#/components/examples/program_type_empty'
                quality_rule_property_invalid_regexp:
                  $ref: '#/components/examples/quality_rule_property_invalid_regexp'
                quality_rule_property_invalid_value_count:
                  $ref: >-
                    #/components/examples/quality_rule_property_invalid_value_count
                quality_rule_property_key_invalid_character:
                  $ref: >-
                    #/components/examples/quality_rule_property_key_invalid_character
                quality_rule_property_key_invalid_length:
                  $ref: >-
                    #/components/examples/quality_rule_property_key_invalid_length
                quality_rule_property_key_unsupported:
                  $ref: '#/components/examples/quality_rule_property_key_unsupported'
                quality_rule_property_value_invalid_boolean:
                  $ref: >-
                    #/components/examples/quality_rule_property_value_invalid_boolean
                quality_rule_property_value_invalid_character:
                  $ref: >-
                    #/components/examples/quality_rule_property_value_invalid_character
                quality_rule_property_value_invalid_country:
                  $ref: >-
                    #/components/examples/quality_rule_property_value_invalid_country
                quality_rule_property_value_invalid_expression_type:
                  $ref: >-
                    #/components/examples/quality_rule_property_value_invalid_expression_type
                quality_rule_property_value_invalid_length:
                  $ref: >-
                    #/components/examples/quality_rule_property_value_invalid_length
                quality_rule_property_value_invalid_number:
                  $ref: >-
                    #/components/examples/quality_rule_property_value_invalid_number
                quality_rule_property_value_invalid_subnet:
                  $ref: >-
                    #/components/examples/quality_rule_property_value_invalid_subnet
                quality_rule_property_value_invalid_temporal_unit:
                  $ref: >-
                    #/components/examples/quality_rule_property_value_invalid_temporal_unit
                quality_rule_property_value_invalid_time_unit:
                  $ref: >-
                    #/components/examples/quality_rule_property_value_invalid_time_unit
                rebuild_campaigns_build_failed:
                  $ref: '#/components/examples/rebuild_campaigns_build_failed'
                redundant_component_reference:
                  $ref: '#/components/examples/redundant_component_reference'
                reserved_name:
                  $ref: '#/components/examples/reserved_name'
                reward_count_limit_invalid:
                  $ref: '#/components/examples/reward_count_limit_invalid'
                reward_count_since_days_invalid:
                  $ref: '#/components/examples/reward_count_since_days_invalid'
                reward_count_since_month_invalid:
                  $ref: '#/components/examples/reward_count_since_month_invalid'
                reward_every_x_friend_actions_invalid:
                  $ref: '#/components/examples/reward_every_x_friend_actions_invalid'
                reward_slots_concatenated_length_exception:
                  $ref: >-
                    #/components/examples/reward_slots_concatenated_length_exception
                reward_slots_invalid_name:
                  $ref: '#/components/examples/reward_slots_invalid_name'
                reward_slots_out_of_range:
                  $ref: '#/components/examples/reward_slots_out_of_range'
                reward_supplier_id_list_invalid_configuration:
                  $ref: >-
                    #/components/examples/reward_supplier_id_list_invalid_configuration
                reward_value_limit_invalid:
                  $ref: '#/components/examples/reward_value_limit_invalid'
                reward_value_since_days_invalid:
                  $ref: '#/components/examples/reward_value_since_days_invalid'
                reward_value_since_month_invalid:
                  $ref: '#/components/examples/reward_value_since_month_invalid'
                self_component_reference:
                  $ref: '#/components/examples/self_component_reference'
                setting_batch_update_missing_request:
                  $ref: '#/components/examples/setting_batch_update_missing_request'
                setting_display_name_length_out_of_range:
                  $ref: >-
                    #/components/examples/setting_display_name_length_out_of_range
                setting_filter_component_facet_name_missing:
                  $ref: >-
                    #/components/examples/setting_filter_component_facet_name_missing
                setting_filter_component_facet_value_missing:
                  $ref: >-
                    #/components/examples/setting_filter_component_facet_value_missing
                setting_filter_component_type_missing:
                  $ref: '#/components/examples/setting_filter_component_type_missing'
                setting_filter_expression_evaluation_failed:
                  $ref: >-
                    #/components/examples/setting_filter_expression_evaluation_failed
                setting_filter_invalid_component_facet:
                  $ref: '#/components/examples/setting_filter_invalid_component_facet'
                setting_filter_invalid_component_type:
                  $ref: '#/components/examples/setting_filter_invalid_component_type'
                setting_name_duplicated:
                  $ref: '#/components/examples/setting_name_duplicated'
                setting_name_length_out_of_range:
                  $ref: '#/components/examples/setting_name_length_out_of_range'
                setting_name_missing:
                  $ref: '#/components/examples/setting_name_missing'
                setting_name_reserved:
                  $ref: '#/components/examples/setting_name_reserved'
                setting_not_found:
                  $ref: '#/components/examples/setting_not_found'
                setting_validation_exception:
                  $ref: '#/components/examples/setting_validation_exception'
                settings_build_failed:
                  $ref: '#/components/examples/settings_build_failed'
                socket_missing_required_parameter:
                  $ref: '#/components/examples/socket_missing_required_parameter'
                socket_not_found:
                  $ref: '#/components/examples/socket_not_found'
                step_data_default_value_expression_length_out_of_range:
                  $ref: >-
                    #/components/examples/step_data_default_value_expression_length_out_of_range
                step_data_name_length_out_of_range:
                  $ref: '#/components/examples/step_data_name_length_out_of_range'
                step_data_value_expression_length_out_of_range:
                  $ref: >-
                    #/components/examples/step_data_value_expression_length_out_of_range
                tag_length_out_of_range:
                  $ref: '#/components/examples/tag_length_out_of_range'
                unavailable_referenced_variable:
                  $ref: '#/components/examples/unavailable_referenced_variable'
                unlock_missing_lock_types:
                  $ref: '#/components/examples/unlock_missing_lock_types'
                upload_error:
                  $ref: '#/components/examples/upload_error'
                variable_batch_update_has_duplicated_variable_name:
                  $ref: >-
                    #/components/examples/variable_batch_update_has_duplicated_variable_name
                variable_batch_update_invalid_type:
                  $ref: '#/components/examples/variable_batch_update_invalid_type'
                variable_batch_update_missing_type:
                  $ref: '#/components/examples/variable_batch_update_missing_type'
                variable_circular_reference:
                  $ref: '#/components/examples/variable_circular_reference'
                variable_description_length_out_of_range:
                  $ref: >-
                    #/components/examples/variable_description_length_out_of_range
                variable_value_invalid_type:
                  $ref: '#/components/examples/variable_value_invalid_type'
                variable_value_key_length_out_of_range:
                  $ref: '#/components/examples/variable_value_key_length_out_of_range'
                variable_value_missing:
                  $ref: '#/components/examples/variable_value_missing'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              examples:
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unauthorized
        '402':
          content:
            application/json:
              examples:
                payment_required:
                  $ref: '#/components/examples/payment_required'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Payment Required
        '403':
          content:
            application/json:
              examples:
                access_denied:
                  $ref: '#/components/examples/access_denied'
                action_type_already_exists:
                  $ref: '#/components/examples/action_type_already_exists'
                campaign_description_out_of_range:
                  $ref: '#/components/examples/campaign_description_out_of_range'
                campaign_label_name_already_in_use:
                  $ref: '#/components/examples/campaign_label_name_already_in_use'
                campaign_label_name_contains_illegal_character:
                  $ref: >-
                    #/components/examples/campaign_label_name_contains_illegal_character
                campaign_label_name_missing:
                  $ref: '#/components/examples/campaign_label_name_missing'
                campaign_label_name_out_of_range:
                  $ref: '#/components/examples/campaign_label_name_out_of_range'
                campaign_name_already_used:
                  $ref: '#/components/examples/campaign_name_already_used'
                campaign_name_illegal_character:
                  $ref: '#/components/examples/campaign_name_illegal_character'
                campaign_name_is_missing:
                  $ref: '#/components/examples/campaign_name_is_missing'
                campaign_name_out_of_range:
                  $ref: '#/components/examples/campaign_name_out_of_range'
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
                missing_access_token:
                  $ref: '#/components/examples/missing_access_token'
                transition_period_milliseconds_invalid:
                  $ref: '#/components/examples/transition_period_milliseconds_invalid'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Forbidden
        '415':
          content:
            application/json:
              examples:
                unsupported_media_type:
                  $ref: '#/components/examples/unsupported_media_type'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unsupported Media Type
        '429':
          content:
            application/json:
              examples:
                too_many_requests:
                  $ref: '#/components/examples/too_many_requests'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Too Many Requests
        '503':
          content:
            application/json:
              examples:
                service_unavailable:
                  $ref: '#/components/examples/service_unavailable'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Service Unavailable
components:
  schemas:
    FormDataContentDisposition:
      properties:
        creationDate:
          format: date-time
          type: string
        fileName:
          type: string
        modificationDate:
          format: date-time
          type: string
        name:
          type: string
        parameters:
          additionalProperties:
            type: string
          type: object
        readDate:
          format: date-time
          type: string
        size:
          format: int64
          type: integer
        type:
          type: string
      type: object
    ComponentResponse:
      description: >-
        Stored component definition. Field `display_name` is unevaluated and
        appears in buildtime-evaluatable form.
      properties:
        assets:
          items:
            $ref: '#/components/schemas/ComponentAssetResponse'
          type: array
        campaign_id:
          type: string
        campaign_state:
          type: string
        component_ids:
          items:
            type: string
          type: array
        component_references:
          items:
            $ref: '#/components/schemas/ComponentReferenceResponse'
          type: array
        created_date:
          $ref: '#/components/schemas/ZonedDateTime'
        description:
          type: string
        display_name:
          $ref: '#/components/schemas/DisplayNameInComponentResponse'
        facets:
          items:
            $ref: '#/components/schemas/CampaignComponentFacetResponse'
          type: array
        id:
          readOnly: true
          type: string
        install:
          $ref: '#/components/schemas/InstallInComponentResponse'
        installed_into_socket:
          type: string
        name:
          type: string
        origin:
          $ref: '#/components/schemas/ComponentOriginResponse'
        owner:
          enum:
            - CLIENT
            - EXTOLE
            - EXTOLE_BETA
          type: string
        source_client_id:
          type: string
        tags:
          items:
            type: string
          type: array
          uniqueItems: true
        type:
          type: string
        types:
          items:
            type: string
          type: array
        updated_date:
          $ref: '#/components/schemas/ZonedDateTime'
        upload_version:
          type: string
        variables:
          items:
            $ref: '#/components/schemas/CampaignComponentSettingResponse'
          type: array
        version:
          format: int32
          type: integer
      required:
        - assets
        - campaign_id
        - campaign_state
        - component_ids
        - component_references
        - created_date
        - description
        - display_name
        - facets
        - id
        - install
        - installed_into_socket
        - name
        - origin
        - owner
        - source_client_id
        - tags
        - type
        - types
        - updated_date
        - upload_version
        - variables
        - version
      type: object
    RestExceptionResponse:
      description: Represents the API error response
      properties:
        code:
          description: Specific error code for this error type, documented per endpoint
          type: string
        http_status_code:
          description: >-
            HTTP status code that was returned with this error, useful if client
            get response code
          format: int32
          type: integer
        message:
          description: User readable English description of the error
          type: string
        parameters:
          additionalProperties:
            description: >-
              Attributes related to the error, varies be error code, documented
              per endpoint
            type: object
          description: >-
            Attributes related to the error, varies be error code, documented
            per endpoint
          type: object
        unique_id:
          description: >-
            Unique id associated with this error, useful for discussions with
            Extole
          type: string
      required:
        - code
        - http_status_code
        - message
        - parameters
        - unique_id
      type: object
    ComponentAssetResponse:
      properties:
        description:
          type: string
        filename:
          type: string
        id:
          type: string
        name:
          type: string
        tags:
          items:
            type: string
          type: array
          uniqueItems: true
      type: object
    ComponentReferenceResponse:
      properties:
        component_id:
          type: string
        socket_names:
          items:
            type: string
          type: array
      type: object
    ZonedDateTime:
      description: >-
        [RFC 3339](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) or
        [RFC 9557](https://datatracker.ietf.org/doc/html/rfc9557#section-4)
        date-time with a numeric [UTC
        offset](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) and
        an optional [IANA
        time-zone](https://datatracker.ietf.org/doc/html/rfc9557#section-4)
        suffix in square brackets. Precision up to milliseconds.
      example: '2025-10-24T02:00:00-07:00'
      pattern: >-
        ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
      type: string
    DisplayNameInComponentResponse:
      description: >-
        The display name as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal display name
          title: Static Value
          type: string
        - description: >-
            Handlebars expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{displayName}}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [CampaignBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('displayName');}
          externalDocs:
            description: CampaignBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/CampaignBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    CampaignComponentFacetResponse:
      properties:
        name:
          type: string
        value:
          type: string
      type: object
    InstallInComponentResponse:
      description: >-
        The install as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal install
          title: Static Value
          type: object
        - description: >-
            Handlebars expression with
            [ComponentInstalltimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/component/install/ComponentInstalltimeContext.d.ts).
          example: handlebars@installtime:{{install}}
          externalDocs:
            description: ComponentInstalltimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/component/install/ComponentInstalltimeContext.d.ts
          pattern: ^handlebars@installtime:.*
          title: Installtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ComponentInstalltimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/component/install/ComponentInstalltimeContext.d.ts).
          example: >-
            javascript@installtime:function() { return
            context.getVariableContext().get('install');}
          externalDocs:
            description: ComponentInstalltimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/component/install/ComponentInstalltimeContext.d.ts
          pattern: ^javascript@installtime:.*
          title: Installtime - Javascript
          type: string
    ComponentOriginResponse:
      properties:
        client_id:
          type: string
        component_id:
          type: string
        component_version:
          format: int32
          type: integer
      type: object
    CampaignComponentSettingResponse:
      discriminator:
        mapping:
          ADMIN_ICON:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsAdminIcon'
          AUDIENCE_ID:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsAudienceId'
          AUDIENCE_ID_LIST:
            $ref: >-
              #/components/schemas/CampaignComponentVariableResponseAsAudienceIdList
          BOOLEAN:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsBoolean'
          BROWSER_SIDE_JAVASCRIPT:
            $ref: >-
              #/components/schemas/CampaignComponentVariableResponseAsBrowserSideJavascript
          CLIENT_DOMAIN_ID_LIST:
            $ref: >-
              #/components/schemas/CampaignComponentVariableResponseAsClientDomainIdList
          CLIENT_KEY:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsClientKey'
          CLIENT_KEY_FLOW:
            $ref: >-
              #/components/schemas/CampaignComponentClientKeyFlowVariableResponse
          COLOR:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsColor'
          COMPONENT_ID:
            $ref: '#/components/schemas/CampaignComponentComponentIdVariableResponse'
          COMPONENT_SETTING_LOOKUP:
            $ref: >-
              #/components/schemas/CampaignComponentComponentSettingLookupVariableResponse
          CSS:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsCss'
          DELAY:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsDelay'
          DELAY_LIST:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsDelayList'
          ENUM:
            $ref: '#/components/schemas/CampaignComponentEnumVariableResponse'
          ENUM_LIST:
            $ref: '#/components/schemas/CampaignComponentEnumListVariableResponse'
          EXTOLE_CLIENT_KEY:
            $ref: >-
              #/components/schemas/CampaignComponentVariableResponseAsExtoleClientKey
          FONT:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsFont'
          GLOB_COMPONENT_PATH:
            $ref: >-
              #/components/schemas/CampaignComponentVariableResponseAsGlobComponentPath
          HTML:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsHtml'
          IMAGE:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsImage'
          INTEGER:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsInteger'
          INTEGER_LIST:
            $ref: >-
              #/components/schemas/CampaignComponentVariableResponseAsIntegerList
          JSON:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsJson'
          MULTI_SOCKET:
            $ref: '#/components/schemas/CampaignComponentSocketResponseAsMultiSocket'
          PARTNER_ENUM:
            $ref: '#/components/schemas/CampaignComponentPartnerEnumVariableResponse'
          PARTNER_ENUM_LIST:
            $ref: >-
              #/components/schemas/CampaignComponentPartnerEnumListVariableResponse
          PERSON_KEY_NAME:
            $ref: >-
              #/components/schemas/CampaignComponentVariableResponseAsPersonKeyName
          REWARD_SUPPLIER_ID:
            $ref: >-
              #/components/schemas/CampaignComponentVariableResponseAsRewardSupplierId
          REWARD_SUPPLIER_ID_LIST:
            $ref: >-
              #/components/schemas/CampaignComponentRewardSupplierIdListVariableResponse
          SOCKET:
            $ref: '#/components/schemas/CampaignComponentSocketResponseAsSocket'
          STRING:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsString'
          STRING_LIST:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsStringList'
          STRING_MAP:
            $ref: '#/components/schemas/CampaignComponentStringMapVariableResponse'
          URL:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsUrl'
          WEBHOOK_ID:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsWebhookId'
        propertyName: type
      oneOf:
        - title: ADMIN_ICON
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsAdminIcon
        - title: AUDIENCE_ID
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsAudienceId
        - title: AUDIENCE_ID_LIST
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsAudienceIdList
        - title: BOOLEAN
          allOf:
            - $ref: '#/components/schemas/CampaignComponentVariableResponseAsBoolean'
        - title: BROWSER_SIDE_JAVASCRIPT
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsBrowserSideJavascript
        - title: CLIENT_DOMAIN_ID_LIST
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsClientDomainIdList
        - title: CLIENT_KEY
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsClientKey
        - title: CLIENT_KEY_FLOW
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentClientKeyFlowVariableResponse
        - title: COLOR
          allOf:
            - $ref: '#/components/schemas/CampaignComponentVariableResponseAsColor'
        - title: COMPONENT_ID
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentComponentIdVariableResponse
        - title: COMPONENT_SETTING_LOOKUP
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentComponentSettingLookupVariableResponse
        - title: CSS
          allOf:
            - $ref: '#/components/schemas/CampaignComponentVariableResponseAsCss'
        - title: DELAY
          allOf:
            - $ref: '#/components/schemas/CampaignComponentVariableResponseAsDelay'
        - title: DELAY_LIST
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsDelayList
        - title: ENUM
          allOf:
            - $ref: '#/components/schemas/CampaignComponentEnumVariableResponse'
        - title: ENUM_LIST
          allOf:
            - $ref: '#/components/schemas/CampaignComponentEnumListVariableResponse'
        - title: EXTOLE_CLIENT_KEY
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsExtoleClientKey
        - title: FONT
          allOf:
            - $ref: '#/components/schemas/CampaignComponentVariableResponseAsFont'
        - title: GLOB_COMPONENT_PATH
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsGlobComponentPath
        - title: HTML
          allOf:
            - $ref: '#/components/schemas/CampaignComponentVariableResponseAsHtml'
        - title: IMAGE
          allOf:
            - $ref: '#/components/schemas/CampaignComponentVariableResponseAsImage'
        - title: INTEGER
          allOf:
            - $ref: '#/components/schemas/CampaignComponentVariableResponseAsInteger'
        - title: INTEGER_LIST
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsIntegerList
        - title: JSON
          allOf:
            - $ref: '#/components/schemas/CampaignComponentVariableResponseAsJson'
        - title: MULTI_SOCKET
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentSocketResponseAsMultiSocket
        - title: PARTNER_ENUM
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentPartnerEnumVariableResponse
        - title: PARTNER_ENUM_LIST
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentPartnerEnumListVariableResponse
        - title: PERSON_KEY_NAME
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsPersonKeyName
        - title: REWARD_SUPPLIER_ID
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsRewardSupplierId
        - title: REWARD_SUPPLIER_ID_LIST
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentRewardSupplierIdListVariableResponse
        - title: SOCKET
          allOf:
            - $ref: '#/components/schemas/CampaignComponentSocketResponseAsSocket'
        - title: STRING
          allOf:
            - $ref: '#/components/schemas/CampaignComponentVariableResponseAsString'
        - title: STRING_LIST
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsStringList
        - title: STRING_MAP
          allOf:
            - $ref: '#/components/schemas/CampaignComponentStringMapVariableResponse'
        - title: URL
          allOf:
            - $ref: '#/components/schemas/CampaignComponentVariableResponseAsUrl'
        - title: WEBHOOK_ID
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsWebhookId
      required:
        - description
        - display_name
        - name
        - priority
        - tags
        - type
    CampaignComponentVariableResponseAsAdminIcon:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - ADMIN_ICON
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: ADMIN_ICON
    CampaignComponentVariableResponseAsAudienceId:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - AUDIENCE_ID
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: AUDIENCE_ID
    CampaignComponentVariableResponseAsAudienceIdList:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - AUDIENCE_ID_LIST
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: AUDIENCE_ID_LIST
    CampaignComponentVariableResponseAsBoolean:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - BOOLEAN
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: BOOLEAN
    CampaignComponentVariableResponseAsBrowserSideJavascript:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - BROWSER_SIDE_JAVASCRIPT
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: BROWSER_SIDE_JAVASCRIPT
    CampaignComponentVariableResponseAsClientDomainIdList:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - CLIENT_DOMAIN_ID_LIST
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: CLIENT_DOMAIN_ID_LIST
    CampaignComponentVariableResponseAsClientKey:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - CLIENT_KEY
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: CLIENT_KEY
    CampaignComponentClientKeyFlowVariableResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            authorization_url:
              type: string
            client_secret_key_id:
              type: string
            redirect_url:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - CLIENT_KEY_FLOW
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      description: >-
        Stored campaign component client key flow variable definition. Field
        `description` is unevaluated and appears in buildtime-evaluatable form.
      required:
        - authorization_url
        - client_secret_key_id
        - description
        - display_name
        - name
        - priority
        - redirect_url
        - source
        - tags
        - type
        - values
      type: object
      title: CLIENT_KEY_FLOW
    CampaignComponentVariableResponseAsColor:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - COLOR
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: COLOR
    CampaignComponentComponentIdVariableResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            filter:
              $ref: '#/components/schemas/ComponentIdFilterResponse'
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - COMPONENT_ID
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      description: >-
        Stored campaign component component id variable definition. Field
        `description` is unevaluated and appears in buildtime-evaluatable form.
      required:
        - description
        - display_name
        - filter
        - name
        - priority
        - source
        - tags
        - type
        - values
      type: object
      title: COMPONENT_ID
    CampaignComponentComponentSettingLookupVariableResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            capture_settings:
              items:
                type: string
              type: array
            captured_setting_values_description:
              $ref: >-
                #/components/schemas/CapturedSettingValuesDescriptionInCampaignComponentComponentSettingLookupVariableResponse
            filters:
              items:
                $ref: '#/components/schemas/SettingFilterResponse'
              type: array
            matching_filters:
              items:
                $ref: '#/components/schemas/SettingFilterResponse'
              type: array
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - COMPONENT_SETTING_LOOKUP
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      description: >-
        Stored campaign component component setting lookup variable definition.
        Fields `description` and `captured_setting_values_description` are
        unevaluated and appear in buildtime-evaluatable form.
      required:
        - capture_settings
        - captured_setting_values_description
        - description
        - display_name
        - filters
        - matching_filters
        - name
        - priority
        - source
        - tags
        - type
        - values
      type: object
      title: COMPONENT_SETTING_LOOKUP
    CampaignComponentVariableResponseAsCss:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - CSS
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: CSS
    CampaignComponentVariableResponseAsDelay:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - DELAY
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: DELAY
    CampaignComponentVariableResponseAsDelayList:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - DELAY_LIST
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: DELAY_LIST
    CampaignComponentEnumVariableResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            allowed_values:
              items:
                type: string
              type: array
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - ENUM
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      description: >-
        Stored campaign component enum variable definition. Field `description`
        is unevaluated and appears in buildtime-evaluatable form.
      required:
        - allowed_values
        - description
        - display_name
        - name
        - priority
        - source
        - tags
        - type
        - values
      type: object
      title: ENUM
    CampaignComponentEnumListVariableResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            allowed_values:
              items:
                type: string
              type: array
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - ENUM_LIST
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      description: >-
        Stored campaign component enum list variable definition. Field
        `description` is unevaluated and appears in buildtime-evaluatable form.
      required:
        - allowed_values
        - description
        - display_name
        - name
        - priority
        - source
        - tags
        - type
        - values
      type: object
      title: ENUM_LIST
    CampaignComponentVariableResponseAsExtoleClientKey:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - EXTOLE_CLIENT_KEY
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: EXTOLE_CLIENT_KEY
    CampaignComponentVariableResponseAsFont:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - FONT
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: FONT
    CampaignComponentVariableResponseAsGlobComponentPath:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - GLOB_COMPONENT_PATH
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: GLOB_COMPONENT_PATH
    CampaignComponentVariableResponseAsHtml:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - HTML
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: HTML
    CampaignComponentVariableResponseAsImage:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - IMAGE
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: IMAGE
    CampaignComponentVariableResponseAsInteger:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - INTEGER
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: INTEGER
    CampaignComponentVariableResponseAsIntegerList:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - INTEGER_LIST
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: INTEGER_LIST
    CampaignComponentVariableResponseAsJson:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - JSON
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: JSON
    CampaignComponentSocketResponseAsMultiSocket:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            filters:
              items:
                $ref: '#/components/schemas/SettingFilterResponse'
              type: array
            parameters:
              items:
                $ref: '#/components/schemas/CampaignComponentVariableResponse'
              type: array
            socketed_component_ids:
              items:
                type: string
              type: array
            type:
              enum:
                - MULTI_SOCKET
              type: string
          type: object
      description: >-
        Stored campaign component socket definition. Field `description` is
        unevaluated and appears in buildtime-evaluatable form.
      required:
        - description
        - display_name
        - filters
        - name
        - parameters
        - priority
        - socketed_component_ids
        - tags
        - type
      type: object
      title: MULTI_SOCKET
    CampaignComponentPartnerEnumVariableResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - PARTNER_ENUM
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
            webhook_id:
              $ref: >-
                #/components/schemas/WebhookIdInCampaignComponentPartnerEnumVariableResponse
            options:
              items:
                $ref: '#/components/schemas/PartnerEnumListVariableOptionResponse'
              type: array
          type: object
      description: >-
        Stored campaign component partner enum variable definition. Fields
        `description` and `webhook_id` are unevaluated and appear in
        buildtime-evaluatable form.
      required:
        - description
        - display_name
        - name
        - options
        - priority
        - source
        - tags
        - type
        - values
        - webhook_id
      type: object
      title: PARTNER_ENUM
    CampaignComponentPartnerEnumListVariableResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - PARTNER_ENUM_LIST
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
            webhook_id:
              $ref: >-
                #/components/schemas/WebhookIdInCampaignComponentPartnerEnumListVariableResponse
            options:
              items:
                $ref: '#/components/schemas/PartnerEnumListVariableOptionResponse'
              type: array
          type: object
      description: >-
        Stored campaign component partner enum list variable definition. Fields
        `description` and `webhook_id` are unevaluated and appear in
        buildtime-evaluatable form.
      required:
        - description
        - display_name
        - name
        - options
        - priority
        - source
        - tags
        - type
        - values
        - webhook_id
      type: object
      title: PARTNER_ENUM_LIST
    CampaignComponentVariableResponseAsPersonKeyName:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - PERSON_KEY_NAME
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: PERSON_KEY_NAME
    CampaignComponentVariableResponseAsRewardSupplierId:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - REWARD_SUPPLIER_ID
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: REWARD_SUPPLIER_ID
    CampaignComponentRewardSupplierIdListVariableResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            allowed_reward_supplier_ids:
              $ref: >-
                #/components/schemas/AllowedRewardSupplierIdsInCampaignComponentRewardSupplierIdListVariableResponse
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - REWARD_SUPPLIER_ID_LIST
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      description: >-
        Stored campaign component reward supplier id list variable definition.
        Fields `description` and `allowed_reward_supplier_ids` are unevaluated
        and appear in buildtime-evaluatable form.
      required:
        - allowed_reward_supplier_ids
        - description
        - display_name
        - name
        - priority
        - source
        - tags
        - type
        - values
      type: object
      title: REWARD_SUPPLIER_ID_LIST
    CampaignComponentSocketResponseAsSocket:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            filters:
              items:
                $ref: '#/components/schemas/SettingFilterResponse'
              type: array
            parameters:
              items:
                $ref: '#/components/schemas/CampaignComponentVariableResponse'
              type: array
            socketed_component_ids:
              items:
                type: string
              type: array
            type:
              enum:
                - SOCKET
              type: string
          type: object
      description: >-
        Stored campaign component socket definition. Field `description` is
        unevaluated and appears in buildtime-evaluatable form.
      required:
        - description
        - display_name
        - filters
        - name
        - parameters
        - priority
        - socketed_component_ids
        - tags
        - type
      type: object
      title: SOCKET
    CampaignComponentVariableResponseAsString:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - STRING
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: STRING
    CampaignComponentVariableResponseAsStringList:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - STRING_LIST
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: STRING_LIST
    CampaignComponentStringMapVariableResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            allowed_keys:
              items:
                type: string
              type: array
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
[...]
